org.richfaces.component

## Enum AbstractTogglePanelTitledItem.HeaderStates

- java.lang.Object
- - java.lang.Enum<AbstractTogglePanelTitledItem.HeaderStates>
  - - org.richfaces.component.AbstractTogglePanelTitledItem.HeaderStates

- All Implemented Interfaces:
    Serializable, Comparable<AbstractTogglePanelTitledItem.HeaderStates>
  Enclosing interface:
    AbstractTogglePanelTitledItem

      public static enum AbstractTogglePanelTitledItem.HeaderStates
      extends Enum<AbstractTogglePanelTitledItem.HeaderStates>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `active`
    `disabled`
    `inactive`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `abbreviation()`
    `String` | `headerClass()`
    `static AbstractTogglePanelTitledItem.HeaderStates` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AbstractTogglePanelTitledItem.HeaderStates[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### active

          public static final AbstractTogglePanelTitledItem.HeaderStates active

    - #### inactive

          public static final AbstractTogglePanelTitledItem.HeaderStates inactive

    - #### disabled

          public static final AbstractTogglePanelTitledItem.HeaderStates disabled

  - ### Method Detail

    - #### values

          public static AbstractTogglePanelTitledItem.HeaderStates[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractTogglePanelTitledItem.HeaderStates c : AbstractTogglePanelTitledItem.HeaderStates.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractTogglePanelTitledItem.HeaderStates valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### abbreviation

          public String abbreviation()

    - #### headerClass

          public String headerClass()

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.